# React-foundation-ui

Web React components for the Hii Foundation Design


## 1. Installation
Run
```bash
yarn add @hiiretail/foundation-ui
```
or
```bash
npm install @hiiretail/foundation-ui
```


## 2. Fonts
Add these imports to your `index.html`
```html
<link rel="preconnect" href="https://fonts.googleapis.com">
<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
<link href="https://fonts.googleapis.com/css2?family=Inter:wght@100;200;300;400;500;600;700;800;900&display=swap" rel="stylesheet">
```

## 3. Use the library

Wrap your root component with `FoundationProvider`

```tsx
///index.tsx
import { FoundationProvider } from '@hiiretail/react-foundation-ui/components';

ReactDOM.render(
  <FoundationProvider>
    <App />
  </FoundationProvider>,
  document.getElementById('root') || document.createElement('div'),
);

```




## Local development

### Setup

Before developing, you need to setup the correct version of node `.nvmrc`.

And use [nvm](#install-nvm) by running:

```bash
nvm install
```
Install all needed packages.
```bash
yarn install
```

### Building the app

```bash
# build
yarn build
```

## Testing

```bash
# with coverage
yarn run test:cov
```
