"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.themeOptions = exports.FoundationProvider = void 0;

var _react = _interopRequireDefault(require("react"));

var _material = require("@mui/material");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var themeOptions = {
  palette: {
    type: 'light',
    primary: {
      main: '#9964E3'
    },
    secondary: {
      main: '#BDBDBD'
    },
    error: {
      main: '#D32F2F'
    }
  },
  shape: {
    borderRadius: 4
  },
  typography: {
    fontFamily: ['Inter', 'sans-serif'].join(',')
  }
};
exports.themeOptions = themeOptions;
var foundationTheme = (0, _material.createTheme)(themeOptions);

var FoundationProvider = function FoundationProvider(_ref) {
  var children = _ref.children;
  return /*#__PURE__*/_react["default"].createElement(_material.ThemeProvider, {
    theme: foundationTheme
  }, children);
};

exports.FoundationProvider = FoundationProvider;