declare module '@hiiretail/react-foundation-ui/common/types/theme.types' {
  export type Color = 'primary' | 'secondary' | 'error';

}
declare module '@hiiretail/react-foundation-ui/common/types/utils' {
  export type ChangeFields<T, R> = Omit<T, keyof R> & R;

}
declare module '@hiiretail/react-foundation-ui/components/Avatar/Avatar' {
  import type { FC, PropsWithChildren } from 'react';
  import type { AvatarProps } from '@mui/material/Avatar';
  import type { ChangeFields } from '@hiiretail/react-foundation-ui/common/types/utils';
  export type FoundationAvatarProps = ChangeFields<AvatarProps, {
      variant?: Exclude<AvatarProps['variant'], 'square'>;
  }>;
  export const Avatar: FC<PropsWithChildren<FoundationAvatarProps>>;

}
declare module '@hiiretail/react-foundation-ui/components/Avatar/index' {
  export { Avatar } from '@hiiretail/react-foundation-ui/components/Avatar/Avatar';

}
declare module '@hiiretail/react-foundation-ui/components/Badge/Badge' {
  import type { FC, PropsWithChildren } from 'react';
  import type { BadgeProps } from '@mui/material/Badge';
  import type { ChangeFields } from '@hiiretail/react-foundation-ui/common/types/utils';
  import type { Color } from '@hiiretail/react-foundation-ui/common/types/theme.types';
  export type FoundationBadgeProps = ChangeFields<BadgeProps, {
      color?: Color;
  }>;
  export const Badge: FC<PropsWithChildren<FoundationBadgeProps>>;

}
declare module '@hiiretail/react-foundation-ui/components/Badge/index' {
  export { Badge } from '@hiiretail/react-foundation-ui/components/Badge/Badge';

}
declare module '@hiiretail/react-foundation-ui/components/Button/Button' {
  import type { FC, PropsWithChildren } from 'react';
  import type { ButtonProps } from '@mui/material/Button';
  import type { ChangeFields } from '@hiiretail/react-foundation-ui/common/types/utils';
  import type { Color } from '@hiiretail/react-foundation-ui/common/types/theme.types';
  export type FoundationButtonProps = ChangeFields<ButtonProps, {
      color?: Color;
      variant?: Exclude<ButtonProps['variant'], 'outlined'>;
  }>;
  export const Button: FC<PropsWithChildren<FoundationButtonProps>>;

}
declare module '@hiiretail/react-foundation-ui/components/Button/index' {
  export { Button } from '@hiiretail/react-foundation-ui/components/Button/Button';

}
declare module '@hiiretail/react-foundation-ui/components/ButtonGroup/ButtonGroup' {
  import type { FC, PropsWithChildren } from 'react';
  import type { ButtonGroupProps } from '@mui/material/ButtonGroup';
  import type { ChangeFields } from '@hiiretail/react-foundation-ui/common/types/utils';
  export type FoundationButtonGroupProps = ChangeFields<ButtonGroupProps, {
      color?: Exclude<ButtonGroupProps['color'], 'error' | 'info' | 'success' | 'warning'>;
  }>;
  export const ButtonGroup: FC<PropsWithChildren<FoundationButtonGroupProps>>;

}
declare module '@hiiretail/react-foundation-ui/components/ButtonGroup/index' {
  export { ButtonGroup } from '@hiiretail/react-foundation-ui/components/ButtonGroup/ButtonGroup';

}
declare module '@hiiretail/react-foundation-ui/components/FoundationProvider/FoundationProvider' {
  import React, { PropsWithChildren } from 'react';
  export const themeOptions: {
      palette: {
          type: string;
          primary: {
              main: string;
          };
          secondary: {
              main: string;
          };
          error: {
              main: string;
          };
      };
      shape: {
          borderRadius: number;
      };
      typography: {
          fontFamily: string;
      };
  };
  export const FoundationProvider: React.FC<PropsWithChildren<{}>>;

}
declare module '@hiiretail/react-foundation-ui/components/FoundationProvider/index' {
  export { FoundationProvider } from '@hiiretail/react-foundation-ui/components/FoundationProvider/FoundationProvider';

}
declare module '@hiiretail/react-foundation-ui/components/IconButton/IconButton' {
  import type { FC, PropsWithChildren } from 'react';
  import type { IconButtonProps } from '@mui/material/IconButton';
  import type { ChangeFields } from '@hiiretail/react-foundation-ui/common/types/utils';
  export type FoundationIconButtonProps = ChangeFields<IconButtonProps, {
      color?: Exclude<IconButtonProps['color'], 'info' | 'success' | 'warning'>;
  }>;
  export const IconButton: FC<PropsWithChildren<FoundationIconButtonProps>>;

}
declare module '@hiiretail/react-foundation-ui/components/IconButton/index' {
  export { IconButton } from '@hiiretail/react-foundation-ui/components/IconButton/IconButton';

}
declare module '@hiiretail/react-foundation-ui/components/index' {
  export { FoundationProvider } from '@hiiretail/react-foundation-ui/components/FoundationProvider/index';
  export { Avatar } from '@hiiretail/react-foundation-ui/components/Avatar/index';
  export { Badge } from '@hiiretail/react-foundation-ui/components/Badge/index';
  export { Button } from '@hiiretail/react-foundation-ui/components/Button/index';
  export { ButtonGroup } from '@hiiretail/react-foundation-ui/components/ButtonGroup/index';
  export { IconButton } from '@hiiretail/react-foundation-ui/components/IconButton/index';

}
declare module '@hiiretail/react-foundation-ui/index' {
  import { Accordion, AccordionActions, AccordionDetails, AccordionSummary, Alert, AlertTitle, AppBar, Autocomplete, AvatarGroup, Backdrop, BottomNavigation, BottomNavigationAction, Box, Breadcrumbs, Card, CardActionArea, CardActions, CardContent, CardHeader, CardMedia, Checkbox, Chip, CircularProgress, ClickAwayListener, Collapse, Container, CssBaseline, Dialog, DialogActions, DialogContent, DialogContentText, DialogTitle, Divider, Drawer, Fab, Fade, FilledInput, FormControl, FormControlLabel, FormGroup, FormHelperText, FormLabel, Grid, Grow, Hidden, Icon, ImageList, ImageListItem, ImageListItemBar, Input, InputAdornment, InputBase, InputLabel, LinearProgress, Link, List, ListItem, ListItemAvatar, ListItemButton, ListItemIcon, ListItemSecondaryAction, ListItemText, ListSubheader, Menu, MenuItem, MenuList, MobileStepper, Modal, NativeSelect, NoSsr, OutlinedInput, Pagination, PaginationItem, Paper, Popover, Popper, Portal, Radio, RadioGroup, Rating, ScopedCssBaseline, Select, Skeleton, Slide, Slider, Snackbar, SnackbarContent, SpeedDial, SpeedDialAction, SpeedDialIcon, Stack, Step, StepButton, StepConnector, StepContent, StepIcon, StepLabel, Stepper, SvgIcon, SwipeableDrawer, Switch, Tab, Table, TableBody, TableCell, TableContainer, TableFooter, TableHead, TablePagination, TableRow, TableSortLabel, Tabs, TabScrollButton, TextField, TextareaAutosize, ToggleButton, ToggleButtonGroup, Toolbar, Tooltip, Typography, useMediaQuery, useScrollTrigger, Zoom, useAutocomplete, GlobalStyles } from '@mui/material';
  import * as emotionReact from '@emotion/react';
  import * as emotionStyled from '@emotion/styled';
  import { FoundationProvider } from '@hiiretail/react-foundation-ui/components/index';
  import { Avatar, Badge, Button, ButtonGroup, IconButton } from '@hiiretail/react-foundation-ui/components/index';
  export { Avatar, Badge, Button, ButtonGroup, IconButton, FoundationProvider, Accordion, AccordionActions, AccordionDetails, AccordionSummary, Alert, AlertTitle, AppBar, Autocomplete, AvatarGroup, Backdrop, BottomNavigation, BottomNavigationAction, Box, Breadcrumbs, Card, CardActionArea, CardActions, CardContent, CardHeader, CardMedia, Checkbox, Chip, CircularProgress, ClickAwayListener, Collapse, Container, CssBaseline, Dialog, DialogActions, DialogContent, DialogContentText, DialogTitle, Divider, Drawer, Fab, Fade, FilledInput, FormControl, FormControlLabel, FormGroup, FormHelperText, FormLabel, Grid, Grow, Hidden, Icon, ImageList, ImageListItem, ImageListItemBar, Input, InputAdornment, InputBase, InputLabel, LinearProgress, Link, List, ListItem, ListItemAvatar, ListItemButton, ListItemIcon, ListItemSecondaryAction, ListItemText, ListSubheader, Menu, MenuItem, MenuList, MobileStepper, Modal, NativeSelect, NoSsr, OutlinedInput, Pagination, PaginationItem, Paper, Popover, Popper, Portal, Radio, RadioGroup, Rating, ScopedCssBaseline, Select, Skeleton, Slide, Slider, Snackbar, SnackbarContent, SpeedDial, SpeedDialAction, SpeedDialIcon, Stack, Step, StepButton, StepConnector, StepContent, StepIcon, StepLabel, Stepper, SvgIcon, SwipeableDrawer, Switch, Tab, Table, TableBody, TableCell, TableContainer, TableFooter, TableHead, TablePagination, TableRow, TableSortLabel, Tabs, TabScrollButton, TextField, TextareaAutosize, ToggleButton, ToggleButtonGroup, Toolbar, Tooltip, Typography, useMediaQuery, useScrollTrigger, Zoom, useAutocomplete, GlobalStyles, emotionReact, emotionStyled };

}
declare module '@hiiretail/react-foundation-ui' {
  import main = require('@hiiretail/react-foundation-ui/index');
  export = main;
}